-- MySQL dump 9.11
--
-- Host: localhost    Database: bugs
-- ------------------------------------------------------
-- Server version	4.0.24

--
-- Table structure for table `attachments`
--

CREATE TABLE attachments (
  attach_id mediumint(9) NOT NULL auto_increment,
  bug_id mediumint(9) NOT NULL default '0',
  creation_ts datetime NOT NULL default '0000-00-00 00:00:00',
  description mediumtext NOT NULL,
  mimetype mediumtext NOT NULL,
  ispatch tinyint(4) default NULL,
  filename varchar(100) NOT NULL default '',
  thedata longblob NOT NULL,
  submitter_id mediumint(9) NOT NULL default '0',
  isobsolete tinyint(4) NOT NULL default '0',
  isprivate tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (attach_id),
  KEY bug_id (bug_id),
  KEY creation_ts (creation_ts)
) TYPE=MyISAM;

--
-- Dumping data for table `attachments`
--

INSERT INTO attachments VALUES (1,2,'2005-08-09 19:39:19','Boot.ini','application/octet-stream',0,'boot.ini','[boot loader]\r\ntimeout=30\r\ndefault=multi(0)disk(0)rdisk(0)partition(2)\\WINDOWS\r\n[operating systems]\r\nmulti(0)disk(0)rdisk(0)partition(2)\\WINDOWS=\"Microsoft Windows XP Home Edition\" /noexecute=optin /fastdetect\r\n',1,0,0);

--
-- Table structure for table `bug_group_map`
--

CREATE TABLE bug_group_map (
  bug_id mediumint(9) NOT NULL default '0',
  group_id mediumint(9) NOT NULL default '0',
  UNIQUE KEY bug_id (bug_id,group_id),
  KEY group_id (group_id)
) TYPE=MyISAM;

--
-- Dumping data for table `bug_group_map`
--


--
-- Table structure for table `bugs`
--

CREATE TABLE bugs (
  bug_id mediumint(9) NOT NULL auto_increment,
  assigned_to mediumint(9) NOT NULL default '0',
  bug_file_loc text,
  bug_severity enum('blocker','critical','major','normal','minor','trivial','enhancement') NOT NULL default 'blocker',
  bug_status enum('UNCONFIRMED','NEW','ASSIGNED','REOPENED','RESOLVED','VERIFIED','CLOSED') NOT NULL default 'UNCONFIRMED',
  creation_ts datetime default NULL,
  delta_ts timestamp(14) NOT NULL,
  short_desc mediumtext NOT NULL,
  op_sys enum('All','Windows 3.1','Windows 95','Windows 98','Windows ME','Windows 2000','Windows NT','Windows XP','Windows Server 2003','Mac System 7','Mac System 7.5','Mac System 7.6.1','Mac System 8.0','Mac System 8.5','Mac System 8.6','Mac System 9.x','Mac OS X 10.0','Mac OS X 10.1','Mac OS X 10.2','Mac OS X 10.3','Linux','BSD/OS','FreeBSD','NetBSD','OpenBSD','AIX','BeOS','HP-UX','IRIX','Neutrino','OpenVMS','OS/2','OSF/1','Solaris','SunOS','other') NOT NULL default 'All',
  priority enum('P1','P2','P3','P4','P5') NOT NULL default 'P1',
  product_id smallint(6) NOT NULL default '0',
  rep_platform enum('All','DEC','HP','Macintosh','PC','SGI','Sun','Other') default NULL,
  reporter mediumint(9) NOT NULL default '0',
  version varchar(64) NOT NULL default '',
  component_id smallint(6) NOT NULL default '0',
  resolution enum('','FIXED','INVALID','WONTFIX','LATER','REMIND','DUPLICATE','WORKSFORME','MOVED') NOT NULL default '',
  target_milestone varchar(20) NOT NULL default '---',
  qa_contact mediumint(9) NOT NULL default '0',
  status_whiteboard mediumtext NOT NULL,
  votes mediumint(9) NOT NULL default '0',
  keywords mediumtext NOT NULL,
  lastdiffed datetime NOT NULL default '0000-00-00 00:00:00',
  everconfirmed tinyint(4) NOT NULL default '0',
  reporter_accessible tinyint(4) NOT NULL default '1',
  cclist_accessible tinyint(4) NOT NULL default '1',
  estimated_time decimal(5,2) NOT NULL default '0.00',
  remaining_time decimal(5,2) NOT NULL default '0.00',
  alias varchar(20) default NULL,
  PRIMARY KEY  (bug_id),
  UNIQUE KEY alias (alias),
  KEY assigned_to (assigned_to),
  KEY creation_ts (creation_ts),
  KEY delta_ts (delta_ts),
  KEY bug_severity (bug_severity),
  KEY bug_status (bug_status),
  KEY op_sys (op_sys),
  KEY priority (priority),
  KEY product_id (product_id),
  KEY reporter (reporter),
  KEY version (version),
  KEY component_id (component_id),
  KEY resolution (resolution),
  KEY target_milestone (target_milestone),
  KEY qa_contact (qa_contact),
  KEY votes (votes),
  FULLTEXT KEY short_desc (short_desc)
) TYPE=MyISAM;

--
-- Dumping data for table `bugs`
--

INSERT INTO bugs VALUES (1,1,'','major','NEW','2005-08-09 16:14:39',20050809161439,'Big Bug #1','Windows XP','P4',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-09 16:14:39',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (2,1,'','trivial','NEW','2005-08-09 19:38:26',20050809193919,'Summary for bug 2','SunOS','P1',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-09 19:39:20',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (3,1,'','blocker','ASSIGNED','2005-08-11 14:30:00',20050811143239,'Blocker bug','Windows XP','P2',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-11 14:32:39',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (4,1,'','critical','RESOLVED','2005-08-11 14:30:19',20050811143307,'Critical bug','Windows XP','P2',1,'PC',1,'other',1,'FIXED','---',0,'',0,'','2005-08-11 14:33:07',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (5,1,'','major','NEW','2005-08-11 14:30:35',20050811143035,'Major bug','Windows XP','P2',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-11 14:30:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (6,1,'','normal','NEW','2005-08-11 14:30:52',20050811143052,'Normal bug','Windows XP','P2',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-11 14:30:52',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (7,1,'','minor','NEW','2005-08-11 14:31:05',20050811143105,'Minor Bug','Windows XP','P2',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-11 14:31:05',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (8,1,'','trivial','NEW','2005-08-11 14:31:22',20050811143122,'Trivial Bug','Windows XP','P2',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-11 14:31:22',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (9,1,'','enhancement','NEW','2005-08-11 14:31:39',20050811143139,'Enhancement','Windows XP','P2',1,'PC',1,'other',1,'','---',0,'',0,'','2005-08-11 14:31:39',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (10,3,'','normal','NEW','2005-08-15 10:17:44',20050815102811,'Actuate BIRT Chart on Windows XP','Windows XP','P2',2,'PC',1,'1.0.1',4,'','---',0,'',0,'','2005-08-15 11:05:41',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (11,3,'','normal','NEW','2005-08-15 10:19:35',20050815102811,'Actuate BIRT Designer on Windows XP','Windows XP','P2',2,'PC',1,'1.0.1',2,'','---',0,'',0,'','2005-08-15 11:05:41',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (12,3,'','normal','ASSIGNED','2005-08-15 10:20:06',20050815105144,'Actuate BIRT Engine on Windows XP','Windows XP','P2',2,'PC',1,'1.0.1',3,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (13,3,'','normal','NEW','2005-08-15 10:20:24',20050815102811,'Actuate BIRT Viewer on Windows XP','Windows XP','P2',2,'PC',1,'1.0.1',5,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (14,3,'','normal','NEW','2005-08-15 10:20:47',20050815102811,'Actuate BIRT Chat on Linux','Linux','P2',2,'PC',1,'1.0.1',4,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (15,3,'','normal','NEW','2005-08-15 10:21:10',20050815102811,'Actuate BIRT Designer on Linux','Linux','P2',2,'PC',1,'1.0.1',2,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (16,3,'','normal','NEW','2005-08-15 10:21:32',20050815102811,'Actuate BIRT Engine on Linux','Linux','P2',2,'PC',1,'1.0.1',3,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (17,3,'','critical','NEW','2005-08-15 10:22:09',20050815102811,'Actuate BIRT Designer on Solaris - Critical','Solaris','P2',2,'PC',1,'1.0.1',2,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (18,3,'','major','NEW','2005-08-15 10:22:33',20050815102811,'Actuate BIRT Designer on Solaris - Major','Solaris','P2',2,'PC',1,'1.0.1',2,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (19,3,'','blocker','NEW','2005-08-15 10:24:13',20050822143139,'Actuate BIRT - Viewer - P4 - Windows XP - blocker','Windows XP','P4',2,'PC',1,'1.0.1',5,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (20,3,'','normal','NEW','2005-08-15 10:24:52',20050815102811,'Actuate BIRT - Designer - P1 - Windows XP - normal','Windows XP','P1',2,'PC',1,'1.0.1',2,'','---',0,'',0,'','2005-08-15 10:19:35',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (21,3,'','minor','NEW','2005-08-15 11:04:56',20050815111620,'Actuate BIRT - Engine - Linux - P3 - minor','Linux','P3',2,'PC',1,'1.0.1',3,'','---',0,'',0,'','2005-08-15 11:04:56',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (22,3,'','critical','NEW','2005-08-15 11:50:30',20050815122504,'Testing sendmail','Solaris','P2',2,'PC',1,'1.0.1',5,'','---',0,'',0,'','2005-08-09 16:14:39',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (23,3,'','normal','NEW','2005-08-15 12:22:21',20050815122505,'Engine error','Windows XP','P2',2,'PC',1,'1.0.1',3,'','---',0,'',0,'','2005-08-09 16:14:39',1,1,1,'0.00','0.00',NULL);
INSERT INTO bugs VALUES (24,1,'','normal','NEW','2005-08-15 12:31:00',20050815123100,'Test','Windows XP','P2',2,'PC',1,'1.0.1',5,'','---',0,'',0,'','2005-08-15 12:31:00',1,1,1,'0.00','0.00',NULL);

--
-- Table structure for table `bugs_activity`
--

CREATE TABLE bugs_activity (
  bug_id mediumint(9) NOT NULL default '0',
  attach_id mediumint(9) default NULL,
  who mediumint(9) NOT NULL default '0',
  bug_when datetime NOT NULL default '0000-00-00 00:00:00',
  fieldid mediumint(9) NOT NULL default '0',
  added tinytext,
  removed tinytext,
  KEY bug_id (bug_id),
  KEY bug_when (bug_when),
  KEY fieldid (fieldid)
) TYPE=MyISAM;

--
-- Dumping data for table `bugs_activity`
--

INSERT INTO bugs_activity VALUES (3,NULL,1,'2005-08-11 14:32:39',8,'ASSIGNED','NEW');
INSERT INTO bugs_activity VALUES (4,NULL,1,'2005-08-11 14:33:07',8,'RESOLVED','NEW');
INSERT INTO bugs_activity VALUES (4,NULL,1,'2005-08-11 14:33:07',11,'FIXED','');
INSERT INTO bugs_activity VALUES (12,NULL,1,'2005-08-15 10:51:44',8,'ASSIGNED','NEW');
INSERT INTO bugs_activity VALUES (19,NULL,1,'2005-08-22 14:31:13',19,'dtrainor@actuate.com','');
INSERT INTO bugs_activity VALUES (19,NULL,1,'2005-08-22 14:31:39',19,'jweathersby@actuate.com','');

--
-- Table structure for table `category_group_map`
--

CREATE TABLE category_group_map (
  category_id smallint(6) NOT NULL default '0',
  group_id mediumint(9) NOT NULL default '0',
  UNIQUE KEY category_id (category_id,group_id)
) TYPE=MyISAM;

--
-- Dumping data for table `category_group_map`
--


--
-- Table structure for table `cc`
--

CREATE TABLE cc (
  bug_id mediumint(9) NOT NULL default '0',
  who mediumint(9) NOT NULL default '0',
  UNIQUE KEY bug_id (bug_id,who),
  KEY who (who)
) TYPE=MyISAM;

--
-- Dumping data for table `cc`
--

INSERT INTO cc VALUES (19,1);
INSERT INTO cc VALUES (19,3);

--
-- Table structure for table `components`
--

CREATE TABLE components (
  id smallint(6) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  product_id smallint(6) NOT NULL default '0',
  initialowner mediumint(9) NOT NULL default '0',
  initialqacontact mediumint(9) NOT NULL default '0',
  description mediumtext NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY product_id (product_id,name),
  KEY name (name)
) TYPE=MyISAM;

--
-- Dumping data for table `components`
--

INSERT INTO components VALUES (1,'TestComponent',1,1,0,'This is a test component in the test product database.  This ought to be blown away and replaced with real stuff in a finished installation of Bugzilla.');
INSERT INTO components VALUES (2,'Designer',2,3,0,'BIRT Designer');
INSERT INTO components VALUES (3,'Engine',2,3,0,'BIRT Engine');
INSERT INTO components VALUES (4,'Chart',2,3,0,'BIRT Charting');
INSERT INTO components VALUES (5,'Viewer',2,3,0,'BIRT Viewer');
INSERT INTO components VALUES (6,'Designer',3,3,0,'BIRT Designer');
INSERT INTO components VALUES (7,'Engine',3,3,0,'BIRT Engine');
INSERT INTO components VALUES (8,'Chart',3,3,0,'BIRT Charting');
INSERT INTO components VALUES (9,'Viewer',3,3,0,'BIRT Viewer');

--
-- Table structure for table `dependencies`
--

CREATE TABLE dependencies (
  blocked mediumint(9) NOT NULL default '0',
  dependson mediumint(9) NOT NULL default '0',
  KEY blocked (blocked),
  KEY dependson (dependson)
) TYPE=MyISAM;

--
-- Dumping data for table `dependencies`
--


--
-- Table structure for table `duplicates`
--

CREATE TABLE duplicates (
  dupe_of mediumint(9) NOT NULL default '0',
  dupe mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (dupe)
) TYPE=MyISAM;

--
-- Dumping data for table `duplicates`
--


--
-- Table structure for table `fielddefs`
--

CREATE TABLE fielddefs (
  fieldid mediumint(9) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  description mediumtext NOT NULL,
  mailhead tinyint(4) NOT NULL default '0',
  sortkey smallint(6) NOT NULL default '0',
  obsolete tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (fieldid),
  UNIQUE KEY name (name),
  KEY sortkey (sortkey)
) TYPE=MyISAM;

--
-- Dumping data for table `fielddefs`
--

INSERT INTO fielddefs VALUES (1,'bug_id','Bug #',1,1,0);
INSERT INTO fielddefs VALUES (2,'short_desc','Summary',1,2,0);
INSERT INTO fielddefs VALUES (3,'product','Product',1,3,0);
INSERT INTO fielddefs VALUES (4,'version','Version',1,4,0);
INSERT INTO fielddefs VALUES (5,'rep_platform','Platform',1,5,0);
INSERT INTO fielddefs VALUES (6,'bug_file_loc','URL',1,6,0);
INSERT INTO fielddefs VALUES (7,'op_sys','OS/Version',1,7,0);
INSERT INTO fielddefs VALUES (8,'bug_status','Status',1,8,0);
INSERT INTO fielddefs VALUES (9,'status_whiteboard','Status Whiteboard',0,9,0);
INSERT INTO fielddefs VALUES (10,'keywords','Keywords',1,10,0);
INSERT INTO fielddefs VALUES (11,'resolution','Resolution',0,11,0);
INSERT INTO fielddefs VALUES (12,'bug_severity','Severity',1,12,0);
INSERT INTO fielddefs VALUES (13,'priority','Priority',1,13,0);
INSERT INTO fielddefs VALUES (14,'component','Component',1,14,0);
INSERT INTO fielddefs VALUES (15,'assigned_to','AssignedTo',1,15,0);
INSERT INTO fielddefs VALUES (16,'reporter','ReportedBy',1,16,0);
INSERT INTO fielddefs VALUES (17,'votes','Votes',0,17,0);
INSERT INTO fielddefs VALUES (18,'qa_contact','QAContact',1,18,0);
INSERT INTO fielddefs VALUES (19,'cc','CC',1,19,0);
INSERT INTO fielddefs VALUES (20,'dependson','BugsThisDependsOn',1,20,0);
INSERT INTO fielddefs VALUES (21,'blocked','OtherBugsDependingOnThis',1,21,0);
INSERT INTO fielddefs VALUES (22,'attachments.description','Attachment description',0,22,0);
INSERT INTO fielddefs VALUES (23,'attachments.thedata','Attachment data',0,23,0);
INSERT INTO fielddefs VALUES (24,'attachments.filename','Attachment filename',0,24,0);
INSERT INTO fielddefs VALUES (25,'attachments.mimetype','Attachment mime type',0,25,0);
INSERT INTO fielddefs VALUES (26,'attachments.ispatch','Attachment is patch',0,26,0);
INSERT INTO fielddefs VALUES (27,'attachments.isobsolete','Attachment is obsolete',0,27,0);
INSERT INTO fielddefs VALUES (28,'attachments.isprivate','Attachment is private',0,28,0);
INSERT INTO fielddefs VALUES (29,'target_milestone','Target Milestone',0,29,0);
INSERT INTO fielddefs VALUES (30,'delta_ts','Last changed date',0,30,0);
INSERT INTO fielddefs VALUES (31,'(to_days(now()) - to_days(bugs.delta_ts))','Days since bug changed',0,31,0);
INSERT INTO fielddefs VALUES (32,'longdesc','Comment',0,32,0);
INSERT INTO fielddefs VALUES (33,'alias','Alias',0,33,0);
INSERT INTO fielddefs VALUES (34,'everconfirmed','Ever Confirmed',0,34,0);
INSERT INTO fielddefs VALUES (35,'reporter_accessible','Reporter Accessible',0,35,0);
INSERT INTO fielddefs VALUES (36,'cclist_accessible','CC Accessible',0,36,0);
INSERT INTO fielddefs VALUES (37,'bug_group','Group',0,37,0);
INSERT INTO fielddefs VALUES (38,'estimated_time','Estimated Hours',1,38,0);
INSERT INTO fielddefs VALUES (39,'remaining_time','Remaining Hours',0,39,0);
INSERT INTO fielddefs VALUES (40,'flagtypes.name','Flag',0,40,0);
INSERT INTO fielddefs VALUES (41,'requestees.login_name','Flag Requestee',0,41,0);
INSERT INTO fielddefs VALUES (42,'setters.login_name','Flag Setter',0,42,0);
INSERT INTO fielddefs VALUES (43,'work_time','Hours Worked',0,43,0);
INSERT INTO fielddefs VALUES (44,'percentage_complete','Percentage Complete',0,44,0);
INSERT INTO fielddefs VALUES (45,'content','Content',0,45,0);
INSERT INTO fielddefs VALUES (46,'owner_idle_time','Time Since Owner Touched',0,46,0);

--
-- Table structure for table `flagexclusions`
--

CREATE TABLE flagexclusions (
  type_id smallint(6) NOT NULL default '0',
  product_id smallint(6) default NULL,
  component_id smallint(6) default NULL,
  KEY type_id (type_id,product_id,component_id)
) TYPE=MyISAM;

--
-- Dumping data for table `flagexclusions`
--


--
-- Table structure for table `flaginclusions`
--

CREATE TABLE flaginclusions (
  type_id smallint(6) NOT NULL default '0',
  product_id smallint(6) default NULL,
  component_id smallint(6) default NULL,
  KEY type_id (type_id,product_id,component_id)
) TYPE=MyISAM;

--
-- Dumping data for table `flaginclusions`
--


--
-- Table structure for table `flags`
--

CREATE TABLE flags (
  id mediumint(9) NOT NULL default '0',
  type_id smallint(6) NOT NULL default '0',
  status char(1) NOT NULL default '',
  bug_id mediumint(9) NOT NULL default '0',
  attach_id mediumint(9) default NULL,
  creation_date datetime NOT NULL default '0000-00-00 00:00:00',
  modification_date datetime default NULL,
  setter_id mediumint(9) default NULL,
  requestee_id mediumint(9) default NULL,
  is_active tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (id),
  KEY bug_id (bug_id,attach_id),
  KEY setter_id (setter_id),
  KEY requestee_id (requestee_id)
) TYPE=MyISAM;

--
-- Dumping data for table `flags`
--


--
-- Table structure for table `flagtypes`
--

CREATE TABLE flagtypes (
  id smallint(6) NOT NULL default '0',
  name varchar(50) NOT NULL default '',
  description text,
  cc_list varchar(200) default NULL,
  target_type char(1) NOT NULL default 'b',
  is_active tinyint(4) NOT NULL default '1',
  is_requestable tinyint(4) NOT NULL default '0',
  is_requesteeble tinyint(4) NOT NULL default '0',
  is_multiplicable tinyint(4) NOT NULL default '0',
  sortkey smallint(6) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `flagtypes`
--


--
-- Table structure for table `group_control_map`
--

CREATE TABLE group_control_map (
  group_id mediumint(9) NOT NULL default '0',
  product_id mediumint(9) NOT NULL default '0',
  entry tinyint(4) NOT NULL default '0',
  membercontrol tinyint(4) NOT NULL default '0',
  othercontrol tinyint(4) NOT NULL default '0',
  canedit tinyint(4) NOT NULL default '0',
  UNIQUE KEY product_id (product_id,group_id),
  KEY group_id (group_id)
) TYPE=MyISAM;

--
-- Dumping data for table `group_control_map`
--


--
-- Table structure for table `group_group_map`
--

CREATE TABLE group_group_map (
  member_id mediumint(9) NOT NULL default '0',
  grantor_id mediumint(9) NOT NULL default '0',
  isbless tinyint(4) NOT NULL default '0',
  UNIQUE KEY member_id (member_id,grantor_id,isbless)
) TYPE=MyISAM;

--
-- Dumping data for table `group_group_map`
--

INSERT INTO group_group_map VALUES (6,1,0);
INSERT INTO group_group_map VALUES (6,1,1);
INSERT INTO group_group_map VALUES (6,2,0);
INSERT INTO group_group_map VALUES (6,2,1);
INSERT INTO group_group_map VALUES (6,3,0);
INSERT INTO group_group_map VALUES (6,3,1);
INSERT INTO group_group_map VALUES (6,4,0);
INSERT INTO group_group_map VALUES (6,4,1);
INSERT INTO group_group_map VALUES (6,5,0);
INSERT INTO group_group_map VALUES (6,5,1);
INSERT INTO group_group_map VALUES (6,6,0);
INSERT INTO group_group_map VALUES (6,6,1);
INSERT INTO group_group_map VALUES (6,7,0);
INSERT INTO group_group_map VALUES (6,7,1);
INSERT INTO group_group_map VALUES (6,8,0);
INSERT INTO group_group_map VALUES (6,8,1);

--
-- Table structure for table `groups`
--

CREATE TABLE groups (
  id mediumint(9) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  description text NOT NULL,
  isbuggroup tinyint(4) NOT NULL default '0',
  last_changed datetime NOT NULL default '0000-00-00 00:00:00',
  userregexp tinytext NOT NULL,
  isactive tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

--
-- Dumping data for table `groups`
--

INSERT INTO groups VALUES (1,'tweakparams','Can tweak operating parameters',0,'0000-00-00 00:00:00','',1);
INSERT INTO groups VALUES (2,'editusers','Can edit or disable users',0,'0000-00-00 00:00:00','',1);
INSERT INTO groups VALUES (3,'creategroups','Can create and destroy groups.',0,'0000-00-00 00:00:00','',1);
INSERT INTO groups VALUES (4,'editcomponents','Can create, destroy, and edit components.',0,'0000-00-00 00:00:00','',1);
INSERT INTO groups VALUES (5,'editkeywords','Can create, destroy, and edit keywords.',0,'0000-00-00 00:00:00','',1);
INSERT INTO groups VALUES (6,'admin','Administrators',0,'2005-08-09 14:39:58','',1);
INSERT INTO groups VALUES (7,'editbugs','Can edit all bug fields.',0,'0000-00-00 00:00:00','.*',1);
INSERT INTO groups VALUES (8,'canconfirm','Can confirm a bug.',0,'0000-00-00 00:00:00','.*',1);

--
-- Table structure for table `keyworddefs`
--

CREATE TABLE keyworddefs (
  id smallint(6) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  description mediumtext,
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

--
-- Dumping data for table `keyworddefs`
--


--
-- Table structure for table `keywords`
--

CREATE TABLE keywords (
  bug_id mediumint(9) NOT NULL default '0',
  keywordid smallint(6) NOT NULL default '0',
  UNIQUE KEY bug_id (bug_id,keywordid),
  KEY keywordid (keywordid)
) TYPE=MyISAM;

--
-- Dumping data for table `keywords`
--


--
-- Table structure for table `logincookies`
--

CREATE TABLE logincookies (
  cookie mediumint(9) NOT NULL auto_increment,
  userid mediumint(9) NOT NULL default '0',
  ipaddr varchar(40) NOT NULL default '',
  lastused timestamp(14) NOT NULL,
  PRIMARY KEY  (cookie),
  KEY lastused (lastused)
) TYPE=MyISAM;

--
-- Dumping data for table `logincookies`
--

INSERT INTO logincookies VALUES (4,3,'151.213.98.0',20050810095335);
INSERT INTO logincookies VALUES (15,7,'192.168.1.1',20050810154828);
INSERT INTO logincookies VALUES (14,1,'192.168.1.1',20050814140352);
INSERT INTO logincookies VALUES (17,7,'69.1.66.158',20050810161428);
INSERT INTO logincookies VALUES (18,1,'192.168.1.1',20050822143143);

--
-- Table structure for table `longdescs`
--

CREATE TABLE longdescs (
  bug_id mediumint(9) NOT NULL default '0',
  who mediumint(9) NOT NULL default '0',
  bug_when datetime NOT NULL default '0000-00-00 00:00:00',
  work_time decimal(5,2) NOT NULL default '0.00',
  thetext mediumtext,
  isprivate tinyint(4) NOT NULL default '0',
  KEY bug_id (bug_id),
  KEY who (who),
  KEY bug_when (bug_when),
  FULLTEXT KEY thetext (thetext)
) TYPE=MyISAM;

--
-- Dumping data for table `longdescs`
--

INSERT INTO longdescs VALUES (1,1,'2005-08-09 16:14:39','0.00','This is a big bug',0);
INSERT INTO longdescs VALUES (2,1,'2005-08-09 19:38:26','0.00','This is the description for bug #2',0);
INSERT INTO longdescs VALUES (2,1,'2005-08-09 19:39:19','0.00','Created an attachment (id=1)\nBoot.ini\n\nThis is a comment for Boot ini attachment',0);
INSERT INTO longdescs VALUES (3,1,'2005-08-11 14:30:00','0.00','Blocker',0);
INSERT INTO longdescs VALUES (4,1,'2005-08-11 14:30:19','0.00','Critical',0);
INSERT INTO longdescs VALUES (5,1,'2005-08-11 14:30:35','0.00','Major',0);
INSERT INTO longdescs VALUES (6,1,'2005-08-11 14:30:52','0.00','Normal',0);
INSERT INTO longdescs VALUES (7,1,'2005-08-11 14:31:05','0.00','Minor',0);
INSERT INTO longdescs VALUES (8,1,'2005-08-11 14:31:22','0.00','Trivial',0);
INSERT INTO longdescs VALUES (9,1,'2005-08-11 14:31:39','0.00','Enhancement',0);
INSERT INTO longdescs VALUES (10,1,'2005-08-15 10:17:44','0.00','Actuate BIRT Chart on Windows XP',0);
INSERT INTO longdescs VALUES (11,1,'2005-08-15 10:19:35','0.00','Actuate BIRT Designer on Windows XP',0);
INSERT INTO longdescs VALUES (12,1,'2005-08-15 10:20:06','0.00','Actuate BIRT Engine on Windows XP',0);
INSERT INTO longdescs VALUES (13,1,'2005-08-15 10:20:24','0.00','Actuate BIRT Viewer on Windows XP',0);
INSERT INTO longdescs VALUES (14,1,'2005-08-15 10:20:47','0.00','Actuate BIRT Chat on Linux',0);
INSERT INTO longdescs VALUES (15,1,'2005-08-15 10:21:10','0.00','Actuate BIRT Designer on Linux',0);
INSERT INTO longdescs VALUES (16,1,'2005-08-15 10:21:32','0.00','Actuate BIRT Engine on Linux',0);
INSERT INTO longdescs VALUES (17,1,'2005-08-15 10:22:09','0.00','Actuate BIRT Designer on Solaris - Critical',0);
INSERT INTO longdescs VALUES (18,1,'2005-08-15 10:22:33','0.00','Actuate BIRT Designer on Solaris - Major',0);
INSERT INTO longdescs VALUES (19,1,'2005-08-15 10:24:13','0.00','Actuate BIRT - Viewer - P4 - Windows XP - blocker',0);
INSERT INTO longdescs VALUES (20,1,'2005-08-15 10:24:52','0.00','Actuate BIRT - Designer - P1 - Windows XP - normal',0);
INSERT INTO longdescs VALUES (21,1,'2005-08-15 11:04:56','0.00','Actuate BIRT - Engine - Linux - P3 - minor',0);
INSERT INTO longdescs VALUES (22,1,'2005-08-15 11:50:30','0.00','test',0);
INSERT INTO longdescs VALUES (23,1,'2005-08-15 12:22:21','0.00','error',0);
INSERT INTO longdescs VALUES (24,1,'2005-08-15 12:31:00','0.00','Test',0);

--
-- Table structure for table `milestones`
--

CREATE TABLE milestones (
  product_id smallint(6) NOT NULL default '0',
  value varchar(20) NOT NULL default '',
  sortkey smallint(6) NOT NULL default '0',
  UNIQUE KEY product_id (product_id,value)
) TYPE=MyISAM;

--
-- Dumping data for table `milestones`
--

INSERT INTO milestones VALUES (1,'---',0);
INSERT INTO milestones VALUES (2,'---',0);
INSERT INTO milestones VALUES (3,'---',0);

--
-- Table structure for table `namedqueries`
--

CREATE TABLE namedqueries (
  userid mediumint(9) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  linkinfooter tinyint(4) NOT NULL default '0',
  query mediumtext NOT NULL,
  UNIQUE KEY userid (userid,name)
) TYPE=MyISAM;

--
-- Dumping data for table `namedqueries`
--


--
-- Table structure for table `products`
--

CREATE TABLE products (
  id smallint(6) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  description mediumtext,
  milestoneurl tinytext NOT NULL,
  disallownew tinyint(4) NOT NULL default '0',
  votesperuser smallint(6) NOT NULL default '0',
  maxvotesperbug smallint(6) NOT NULL default '10000',
  votestoconfirm smallint(6) NOT NULL default '0',
  defaultmilestone varchar(20) NOT NULL default '---',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

--
-- Dumping data for table `products`
--

INSERT INTO products VALUES (1,'TestProduct','This is a test product.  This ought to be blown away and replaced with real stuff in a finished installation of bugzilla.','',0,0,10000,0,'---');
INSERT INTO products VALUES (2,'Actuate BIRT','Actuate\'s Business Inteligent Reporting Tools','',0,0,10000,0,'---');
INSERT INTO products VALUES (3,'Eclipse BIRT','Eclipse\'s Business Intelligent Reporting Tools','',0,0,10000,0,'---');

--
-- Table structure for table `profiles`
--

CREATE TABLE profiles (
  userid mediumint(9) NOT NULL auto_increment,
  login_name varchar(255) NOT NULL default '',
  cryptpassword varchar(34) default NULL,
  realname varchar(255) default NULL,
  disabledtext mediumtext NOT NULL,
  mybugslink tinyint(4) NOT NULL default '1',
  emailflags mediumtext,
  refreshed_when datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (userid),
  UNIQUE KEY login_name (login_name)
) TYPE=MyISAM;

--
-- Dumping data for table `profiles`
--

INSERT INTO profiles VALUES (1,'dtrainor@actuate.com','zJLIL1WhzyMWk','David Trainor','',1,'ExcludeSelf~on~FlagRequestee~on~FlagRequester~on~emailOwnerRemoveme~on~emailOwnerComments~on~emailOwnerAttachments~on~emailOwnerStatus~on~emailOwnerResolved~on~emailOwnerKeywords~on~emailOwnerCC~on~emailOwnerOther~on~emailOwnerUnconfirmed~on~emailReporterRemoveme~on~emailReporterComments~on~emailReporterAttachments~on~emailReporterStatus~on~emailReporterResolved~on~emailReporterKeywords~on~emailReporterCC~~emailReporterOther~on~emailReporterUnconfirmed~on~emailQAcontactRemoveme~on~emailQAcontactComments~on~emailQAcontactAttachments~on~emailQAcontactStatus~on~emailQAcontactResolved~on~emailQAcontactKeywords~on~emailQAcontactCC~~emailQAcontactOther~on~emailQAcontactUnconfirmed~on~emailCClistRemoveme~on~emailCClistComments~on~emailCClistAttachments~on~emailCClistStatus~on~emailCClistResolved~on~emailCClistKeywords~on~emailCClistCC~~emailCClistOther~on~emailCClistUnconfirmed~on~emailVoterRemoveme~on~emailVoterComments~on~emailVoterAttachments~on~emailVoterStatus~on~emailVoterResolved~on~emailVoterKeywords~on~emailVoterCC~~emailVoterOther~on~emailVoterUnconfirmed~on','2005-08-10 10:41:57');
INSERT INTO profiles VALUES (2,'mthoma@actuate.com','s44f/f9LbWoOU','Mike Thoma','',1,'ExcludeSelf~on~FlagRequestee~on~FlagRequester~on~emailOwnerRemoveme~on~emailOwnerComments~on~emailOwnerAttachments~on~emailOwnerStatus~on~emailOwnerResolved~on~emailOwnerKeywords~on~emailOwnerCC~on~emailOwnerOther~on~emailOwnerUnconfirmed~on~emailReporterRemoveme~on~emailReporterComments~on~emailReporterAttachments~on~emailReporterStatus~on~emailReporterResolved~on~emailReporterKeywords~on~emailReporterCC~~emailReporterOther~on~emailReporterUnconfirmed~on~emailQAcontactRemoveme~on~emailQAcontactComments~on~emailQAcontactAttachments~on~emailQAcontactStatus~on~emailQAcontactResolved~on~emailQAcontactKeywords~on~emailQAcontactCC~~emailQAcontactOther~on~emailQAcontactUnconfirmed~on~emailCClistRemoveme~on~emailCClistComments~on~emailCClistAttachments~on~emailCClistStatus~on~emailCClistResolved~on~emailCClistKeywords~on~emailCClistCC~~emailCClistOther~on~emailCClistUnconfirmed~on~emailVoterRemoveme~on~emailVoterComments~on~emailVoterAttachments~on~emailVoterStatus~on~emailVoterResolved~on~emailVoterKeywords~on~emailVoterCC~~emailVoterOther~on~emailVoterUnconfirmed~on','2005-08-10 10:42:21');
INSERT INTO profiles VALUES (3,'jweathersby@actuate.com','qr54bDrTISucA','Jason Weathersby','',1,'ExcludeSelf~on~FlagRequestee~on~FlagRequester~on~emailOwnerRemoveme~on~emailOwnerComments~on~emailOwnerAttachments~on~emailOwnerStatus~on~emailOwnerResolved~on~emailOwnerKeywords~on~emailOwnerCC~on~emailOwnerOther~on~emailOwnerUnconfirmed~on~emailReporterRemoveme~on~emailReporterComments~on~emailReporterAttachments~on~emailReporterStatus~on~emailReporterResolved~on~emailReporterKeywords~on~emailReporterCC~~emailReporterOther~on~emailReporterUnconfirmed~on~emailQAcontactRemoveme~on~emailQAcontactComments~on~emailQAcontactAttachments~on~emailQAcontactStatus~on~emailQAcontactResolved~on~emailQAcontactKeywords~on~emailQAcontactCC~~emailQAcontactOther~on~emailQAcontactUnconfirmed~on~emailCClistRemoveme~on~emailCClistComments~on~emailCClistAttachments~on~emailCClistStatus~on~emailCClistResolved~on~emailCClistKeywords~on~emailCClistCC~~emailCClistOther~on~emailCClistUnconfirmed~on~emailVoterRemoveme~on~emailVoterComments~on~emailVoterAttachments~on~emailVoterStatus~on~emailVoterResolved~on~emailVoterKeywords~on~emailVoterCC~~emailVoterOther~on~emailVoterUnconfirmed~on','2005-08-10 10:41:52');
INSERT INTO profiles VALUES (4,'kvenkatraman@actuate.com','GS7DE8Y87X.u6','Krishna Venkatraman','',1,'ExcludeSelf~on~FlagRequestee~on~FlagRequester~on~emailOwnerRemoveme~on~emailOwnerComments~on~emailOwnerAttachments~on~emailOwnerStatus~on~emailOwnerResolved~on~emailOwnerKeywords~on~emailOwnerCC~on~emailOwnerOther~on~emailOwnerUnconfirmed~on~emailReporterRemoveme~on~emailReporterComments~on~emailReporterAttachments~on~emailReporterStatus~on~emailReporterResolved~on~emailReporterKeywords~on~emailReporterCC~~emailReporterOther~on~emailReporterUnconfirmed~on~emailQAcontactRemoveme~on~emailQAcontactComments~on~emailQAcontactAttachments~on~emailQAcontactStatus~on~emailQAcontactResolved~on~emailQAcontactKeywords~on~emailQAcontactCC~~emailQAcontactOther~on~emailQAcontactUnconfirmed~on~emailCClistRemoveme~on~emailCClistComments~on~emailCClistAttachments~on~emailCClistStatus~on~emailCClistResolved~on~emailCClistKeywords~on~emailCClistCC~~emailCClistOther~on~emailCClistUnconfirmed~on~emailVoterRemoveme~on~emailVoterComments~on~emailVoterAttachments~on~emailVoterStatus~on~emailVoterResolved~on~emailVoterKeywords~on~emailVoterCC~~emailVoterOther~on~emailVoterUnconfirmed~on','2005-08-10 10:41:52');
INSERT INTO profiles VALUES (5,'mgamble@actuate.com','OdIg/V5D52I7c','Mark Gamble','',1,'ExcludeSelf~on~FlagRequestee~on~FlagRequester~on~emailOwnerRemoveme~on~emailOwnerComments~on~emailOwnerAttachments~on~emailOwnerStatus~on~emailOwnerResolved~on~emailOwnerKeywords~on~emailOwnerCC~on~emailOwnerOther~on~emailOwnerUnconfirmed~on~emailReporterRemoveme~on~emailReporterComments~on~emailReporterAttachments~on~emailReporterStatus~on~emailReporterResolved~on~emailReporterKeywords~on~emailReporterCC~~emailReporterOther~on~emailReporterUnconfirmed~on~emailQAcontactRemoveme~on~emailQAcontactComments~on~emailQAcontactAttachments~on~emailQAcontactStatus~on~emailQAcontactResolved~on~emailQAcontactKeywords~on~emailQAcontactCC~~emailQAcontactOther~on~emailQAcontactUnconfirmed~on~emailCClistRemoveme~on~emailCClistComments~on~emailCClistAttachments~on~emailCClistStatus~on~emailCClistResolved~on~emailCClistKeywords~on~emailCClistCC~~emailCClistOther~on~emailCClistUnconfirmed~on~emailVoterRemoveme~on~emailVoterComments~on~emailVoterAttachments~on~emailVoterStatus~on~emailVoterResolved~on~emailVoterKeywords~on~emailVoterCC~~emailVoterOther~on~emailVoterUnconfirmed~on','2005-08-10 10:41:47');
INSERT INTO profiles VALUES (6,'zzz@zzz.com','SsbQfA4x3iDko','ZZZ','',1,'ExcludeSelf~on~FlagRequestee~on~FlagRequester~on~emailOwnerRemoveme~on~emailOwnerComments~on~emailOwnerAttachments~on~emailOwnerStatus~on~emailOwnerResolved~on~emailOwnerKeywords~on~emailOwnerCC~on~emailOwnerOther~on~emailOwnerUnconfirmed~on~emailReporterRemoveme~on~emailReporterComments~on~emailReporterAttachments~on~emailReporterStatus~on~emailReporterResolved~on~emailReporterKeywords~on~emailReporterCC~~emailReporterOther~on~emailReporterUnconfirmed~on~emailQAcontactRemoveme~on~emailQAcontactComments~on~emailQAcontactAttachments~on~emailQAcontactStatus~on~emailQAcontactResolved~on~emailQAcontactKeywords~on~emailQAcontactCC~~emailQAcontactOther~on~emailQAcontactUnconfirmed~on~emailCClistRemoveme~on~emailCClistComments~on~emailCClistAttachments~on~emailCClistStatus~on~emailCClistResolved~on~emailCClistKeywords~on~emailCClistCC~~emailCClistOther~on~emailCClistUnconfirmed~on~emailVoterRemoveme~on~emailVoterComments~on~emailVoterAttachments~on~emailVoterStatus~on~emailVoterResolved~on~emailVoterKeywords~on~emailVoterCC~~emailVoterOther~on~emailVoterUnconfirmed~on','2005-08-10 10:44:18');
INSERT INTO profiles VALUES (7,'mikethoma@actuate.com','4nvKQEDg.U9G6','Mike Thoma','',1,'ExcludeSelf~on~FlagRequestee~on~FlagRequester~on~emailOwnerRemoveme~on~emailOwnerComments~on~emailOwnerAttachments~on~emailOwnerStatus~on~emailOwnerResolved~on~emailOwnerKeywords~on~emailOwnerCC~on~emailOwnerOther~on~emailOwnerUnconfirmed~on~emailReporterRemoveme~on~emailReporterComments~on~emailReporterAttachments~on~emailReporterStatus~on~emailReporterResolved~on~emailReporterKeywords~on~emailReporterCC~~emailReporterOther~on~emailReporterUnconfirmed~on~emailQAcontactRemoveme~on~emailQAcontactComments~on~emailQAcontactAttachments~on~emailQAcontactStatus~on~emailQAcontactResolved~on~emailQAcontactKeywords~on~emailQAcontactCC~~emailQAcontactOther~on~emailQAcontactUnconfirmed~on~emailCClistRemoveme~on~emailCClistComments~on~emailCClistAttachments~on~emailCClistStatus~on~emailCClistResolved~on~emailCClistKeywords~on~emailCClistCC~~emailCClistOther~on~emailCClistUnconfirmed~on~emailVoterRemoveme~on~emailVoterComments~on~emailVoterAttachments~on~emailVoterStatus~on~emailVoterResolved~on~emailVoterKeywords~on~emailVoterCC~~emailVoterOther~on~emailVoterUnconfirmed~on','2005-08-10 10:46:12');

--
-- Table structure for table `profiles_activity`
--

CREATE TABLE profiles_activity (
  userid mediumint(9) NOT NULL default '0',
  who mediumint(9) NOT NULL default '0',
  profiles_when datetime NOT NULL default '0000-00-00 00:00:00',
  fieldid mediumint(9) NOT NULL default '0',
  oldvalue tinytext,
  newvalue tinytext,
  KEY userid (userid),
  KEY profiles_when (profiles_when),
  KEY fieldid (fieldid)
) TYPE=MyISAM;

--
-- Dumping data for table `profiles_activity`
--


--
-- Table structure for table `quips`
--

CREATE TABLE quips (
  quipid mediumint(9) NOT NULL auto_increment,
  userid mediumint(9) default NULL,
  quip text NOT NULL,
  approved tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (quipid)
) TYPE=MyISAM;

--
-- Dumping data for table `quips`
--


--
-- Table structure for table `series`
--

CREATE TABLE series (
  series_id mediumint(9) NOT NULL auto_increment,
  creator mediumint(9) NOT NULL default '0',
  category smallint(6) NOT NULL default '0',
  subcategory smallint(6) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  frequency smallint(6) NOT NULL default '0',
  last_viewed datetime default NULL,
  query mediumtext NOT NULL,
  public tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (series_id),
  UNIQUE KEY creator_2 (creator,category,subcategory,name),
  KEY creator (creator)
) TYPE=MyISAM;

--
-- Dumping data for table `series`
--

INSERT INTO series VALUES (1,0,1,2,'NEW',1,NULL,'product=TestProduct&bug_status=NEW',1);
INSERT INTO series VALUES (2,0,1,2,'ASSIGNED',1,NULL,'product=TestProduct&bug_status=ASSIGNED',1);
INSERT INTO series VALUES (3,0,1,2,'REOPENED',1,NULL,'product=TestProduct&bug_status=REOPENED',1);
INSERT INTO series VALUES (4,0,1,2,'UNCONFIRMED',1,NULL,'product=TestProduct&bug_status=UNCONFIRMED',1);
INSERT INTO series VALUES (5,0,1,2,'RESOLVED',1,NULL,'product=TestProduct&bug_status=RESOLVED',1);
INSERT INTO series VALUES (6,0,1,2,'VERIFIED',1,NULL,'product=TestProduct&bug_status=VERIFIED',1);
INSERT INTO series VALUES (7,0,1,2,'CLOSED',1,NULL,'product=TestProduct&bug_status=CLOSED',1);
INSERT INTO series VALUES (8,0,1,2,'FIXED',1,NULL,'product=TestProduct&resolution=FIXED',1);
INSERT INTO series VALUES (9,0,1,2,'INVALID',1,NULL,'product=TestProduct&resolution=INVALID',1);
INSERT INTO series VALUES (10,0,1,2,'WONTFIX',1,NULL,'product=TestProduct&resolution=WONTFIX',1);
INSERT INTO series VALUES (11,0,1,2,'LATER',1,NULL,'product=TestProduct&resolution=LATER',1);
INSERT INTO series VALUES (12,0,1,2,'REMIND',1,NULL,'product=TestProduct&resolution=REMIND',1);
INSERT INTO series VALUES (13,0,1,2,'DUPLICATE',1,NULL,'product=TestProduct&resolution=DUPLICATE',1);
INSERT INTO series VALUES (14,0,1,2,'WORKSFORME',1,NULL,'product=TestProduct&resolution=WORKSFORME',1);
INSERT INTO series VALUES (15,0,1,2,'MOVED',1,NULL,'product=TestProduct&resolution=MOVED',1);
INSERT INTO series VALUES (16,0,1,2,'All Open',1,NULL,'product=TestProduct&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED',1);
INSERT INTO series VALUES (17,0,2,2,'NEW',1,NULL,'bug_status=NEW',1);
INSERT INTO series VALUES (18,0,2,2,'ASSIGNED',1,NULL,'bug_status=ASSIGNED',1);
INSERT INTO series VALUES (19,0,2,2,'REOPENED',1,NULL,'bug_status=REOPENED',1);
INSERT INTO series VALUES (20,0,2,2,'UNCONFIRMED',1,NULL,'bug_status=UNCONFIRMED',1);
INSERT INTO series VALUES (21,0,2,2,'RESOLVED',1,NULL,'bug_status=RESOLVED',1);
INSERT INTO series VALUES (22,0,2,2,'VERIFIED',1,NULL,'bug_status=VERIFIED',1);
INSERT INTO series VALUES (23,0,2,2,'CLOSED',1,NULL,'bug_status=CLOSED',1);
INSERT INTO series VALUES (24,0,2,2,'FIXED',1,NULL,'resolution=FIXED',1);
INSERT INTO series VALUES (25,0,2,2,'INVALID',1,NULL,'resolution=INVALID',1);
INSERT INTO series VALUES (26,0,2,2,'WONTFIX',1,NULL,'resolution=WONTFIX',1);
INSERT INTO series VALUES (27,0,2,2,'LATER',1,NULL,'resolution=LATER',1);
INSERT INTO series VALUES (28,0,2,2,'REMIND',1,NULL,'resolution=REMIND',1);
INSERT INTO series VALUES (29,0,2,2,'DUPLICATE',1,NULL,'resolution=DUPLICATE',1);
INSERT INTO series VALUES (30,0,2,2,'WORKSFORME',1,NULL,'resolution=WORKSFORME',1);
INSERT INTO series VALUES (31,0,2,2,'MOVED',1,NULL,'resolution=MOVED',1);
INSERT INTO series VALUES (32,0,2,2,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED',1);
INSERT INTO series VALUES (33,1,3,4,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Actuate%20BIRT&component=Designer',1);
INSERT INTO series VALUES (34,1,3,4,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Actuate%20BIRT&component=Designer',1);
INSERT INTO series VALUES (35,1,3,5,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Actuate%20BIRT&component=Engine',1);
INSERT INTO series VALUES (36,1,3,5,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Actuate%20BIRT&component=Engine',1);
INSERT INTO series VALUES (37,1,3,6,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Actuate%20BIRT&component=Chart',1);
INSERT INTO series VALUES (38,1,3,6,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Actuate%20BIRT&component=Chart',1);
INSERT INTO series VALUES (39,1,3,7,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Actuate%20BIRT&component=Viewer',1);
INSERT INTO series VALUES (40,1,3,7,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Actuate%20BIRT&component=Viewer',1);
INSERT INTO series VALUES (41,1,8,4,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Eclipse%20BIRT&component=Designer',1);
INSERT INTO series VALUES (42,1,8,4,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Eclipse%20BIRT&component=Designer',1);
INSERT INTO series VALUES (43,1,8,5,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Eclipse%20BIRT&component=Engine',1);
INSERT INTO series VALUES (44,1,8,5,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Eclipse%20BIRT&component=Engine',1);
INSERT INTO series VALUES (45,1,8,6,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Eclipse%20BIRT&component=Chart',1);
INSERT INTO series VALUES (46,1,8,6,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Eclipse%20BIRT&component=Chart',1);
INSERT INTO series VALUES (47,1,8,7,'All Open',1,NULL,'bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=Eclipse%20BIRT&component=Viewer',1);
INSERT INTO series VALUES (48,1,8,7,'All Closed',1,NULL,'field0-0-0=resolution&type0-0-0=notequals&value0-0-0=---&product=Eclipse%20BIRT&component=Viewer',1);

--
-- Table structure for table `series_categories`
--

CREATE TABLE series_categories (
  id smallint(6) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

--
-- Dumping data for table `series_categories`
--

INSERT INTO series_categories VALUES (1,'TestProduct');
INSERT INTO series_categories VALUES (2,'-All-');
INSERT INTO series_categories VALUES (3,'Actuate BIRT');
INSERT INTO series_categories VALUES (4,'Designer');
INSERT INTO series_categories VALUES (5,'Engine');
INSERT INTO series_categories VALUES (6,'Chart');
INSERT INTO series_categories VALUES (7,'Viewer');
INSERT INTO series_categories VALUES (8,'Eclipse BIRT');

--
-- Table structure for table `series_data`
--

CREATE TABLE series_data (
  series_id mediumint(9) NOT NULL default '0',
  series_date datetime NOT NULL default '0000-00-00 00:00:00',
  series_value mediumint(9) NOT NULL default '0',
  UNIQUE KEY series_id (series_id,series_date)
) TYPE=MyISAM;

--
-- Dumping data for table `series_data`
--


--
-- Table structure for table `tokens`
--

CREATE TABLE tokens (
  userid mediumint(9) NOT NULL default '0',
  issuedate datetime NOT NULL default '0000-00-00 00:00:00',
  token varchar(16) NOT NULL default '',
  tokentype varchar(8) NOT NULL default '',
  eventdata tinytext,
  PRIMARY KEY  (token),
  KEY userid (userid)
) TYPE=MyISAM;

--
-- Dumping data for table `tokens`
--


--
-- Table structure for table `user_group_map`
--

CREATE TABLE user_group_map (
  user_id mediumint(9) NOT NULL default '0',
  group_id mediumint(9) NOT NULL default '0',
  isbless tinyint(4) NOT NULL default '0',
  grant_type tinyint(4) NOT NULL default '0',
  UNIQUE KEY user_id (user_id,group_id,grant_type,isbless)
) TYPE=MyISAM;

--
-- Dumping data for table `user_group_map`
--

INSERT INTO user_group_map VALUES (1,1,0,1);
INSERT INTO user_group_map VALUES (1,2,0,1);
INSERT INTO user_group_map VALUES (1,3,0,1);
INSERT INTO user_group_map VALUES (1,4,0,1);
INSERT INTO user_group_map VALUES (1,5,0,1);
INSERT INTO user_group_map VALUES (1,6,0,0);
INSERT INTO user_group_map VALUES (1,6,1,0);
INSERT INTO user_group_map VALUES (1,6,0,1);
INSERT INTO user_group_map VALUES (1,7,0,2);
INSERT INTO user_group_map VALUES (1,8,0,2);
INSERT INTO user_group_map VALUES (2,7,0,2);
INSERT INTO user_group_map VALUES (2,8,0,2);
INSERT INTO user_group_map VALUES (3,7,0,2);
INSERT INTO user_group_map VALUES (3,8,0,2);
INSERT INTO user_group_map VALUES (5,7,0,2);
INSERT INTO user_group_map VALUES (5,8,0,2);
INSERT INTO user_group_map VALUES (6,7,0,2);
INSERT INTO user_group_map VALUES (6,8,0,2);
INSERT INTO user_group_map VALUES (7,7,0,2);
INSERT INTO user_group_map VALUES (7,8,0,2);

--
-- Table structure for table `versions`
--

CREATE TABLE versions (
  value tinytext,
  product_id smallint(6) NOT NULL default '0'
) TYPE=MyISAM;

--
-- Dumping data for table `versions`
--

INSERT INTO versions VALUES ('other',1);
INSERT INTO versions VALUES ('1.0.1',2);
INSERT INTO versions VALUES ('unspecified',3);

--
-- Table structure for table `votes`
--

CREATE TABLE votes (
  who mediumint(9) NOT NULL default '0',
  bug_id mediumint(9) NOT NULL default '0',
  vote_count smallint(6) NOT NULL default '0',
  KEY who (who),
  KEY bug_id (bug_id)
) TYPE=MyISAM;

--
-- Dumping data for table `votes`
--


--
-- Table structure for table `watch`
--

CREATE TABLE watch (
  watcher mediumint(9) NOT NULL default '0',
  watched mediumint(9) NOT NULL default '0',
  UNIQUE KEY watcher (watcher,watched),
  KEY watched (watched)
) TYPE=MyISAM;

--
-- Dumping data for table `watch`
--


